Doorzoek het forum

Trefwoord

Welkom bij Joomla!NL

Om alle mogelijkheden van dit forum te kunnen gebruiken, moet je je eerst registreren.

× Vermeld in iedere vraag duidelijk:
  1. De versie van Joomla! 3.X die je gebruikt
  2. De volledige url van je website indien mogelijk.
  3. De versie van de extensie waar de vraag over gaat.
Maak altijd een backup!

Error na updaten php-versie, van 5.6 naar 7.3

26 juli 2020 13:57
Heeft onderwerp gestart
Error na updaten php-versie, van 5.6 naar 7.3 #1
Hallo, ik heb een website gebouwd met een quickstart installatie (www.judithschoorlemmer.nl). Gaat goed.

Maar hij draait nog op php 5.6, sterk verouderd dus. Ik heb al mijn extensies bijgewerkt, nieuwste Joomla versie erop (3.9.20) en geprobeerd om php 7.3 erop te zetten. Ik krijg dan een wit scherm met de tekst 'error'.

Ik heb de foutmeldingen op 'ontwikkelen' gezet en nogmaals de php-versie naar 7.3 gezet. Nu krijg ik de volgende tekst:

Warning: session_start(): Failed to read session data: user (path: /opt/alt/php73/var/lib/php/session) in /home/judith/public_html/libraries/joomla/session/handler/native.php on line 260
Error: Failed to start application: Failed to start the session


Nu weet ik even niet wat te doen. Iemand een idee?

O ja, alleen Pagebuilder moet nog geupdate worden, maar ik verwacht niet dat hier de fout zit. Ik werk namelijk nu in 3.7.2, de voorlaatste versie. Ik durf de laatste versie (3.7.4) niet zo goed te installeren, omdat er duidelijk staat dat deze versie absoluut php7 nodig heeft. En ik ben bang dat de site dan helemaal plat gaat en niet meer 'overeind komt' :-)

Alvast bedankt voor het meekijken!

Ik help werkzoekenden en ZZP'ers, om een baan of opdracht te vinden èn te krijgen.

www.judithschoorlemmer.nl
www.sollicitatiehulp.org
Judith
Bekend met Joomla!NL
Bekend met Joomla!NL
Berichten: 117
Lees meer
26 juli 2020 14:46
Error na updaten php-versie, van 5.6 naar 7.3 #2
Dat heeft te maken met je database. Waarschijnlijk heeft je hoster mysqli | pdo_mysql niet ingeschakeld.

Groetjes, Astrid
Gebruik de zoekfunctie van dit forum voordat je een nieuwe vraag plaatst.
Vragen uitsluitend via dit Forum.
yndi.nl - kvk 17157725
Is je vraag beantwoord? Dan kan je het draadje zelf sluiten .
Wil je Joomla!NL steunen? Dat kan met een donatie.

Deze afbeelding is verborgen voor gasten.
Login of registreer om deze te zien.

Astrid
Moderator + Technisch team
Moderator + Technisch team
Berichten: 35743
Lees meer
26 juli 2020 15:13
Heeft onderwerp gestart
Error na updaten php-versie, van 5.6 naar 7.3 #3
Oh ik hoop het Astrid, ben hier al zo lang mee bezig. Ik ga meteen een ticket aanmaken. Zal wel morgen worden dat ik antwoord krijg, maar ik ga het vragen. Dank alvast!

Ik help werkzoekenden en ZZP'ers, om een baan of opdracht te vinden èn te krijgen.

www.judithschoorlemmer.nl
www.sollicitatiehulp.org
Judith
Bekend met Joomla!NL
Bekend met Joomla!NL
Berichten: 117
Lees meer
26 juli 2020 17:12 26 juli 2020 17:14 door Astrid.
Error na updaten php-versie, van 5.6 naar 7.3 #4
Downgrade naar PHP 7.1 kan ook een oplossing zijn blijkbaar.
Heb ik maar van anderen gehoord, die ook dergelijke problemen hadden
Edit Astrid: Downgraden is NOOIT een optie. PHP 7.1. is net zo onveilig als PHP 5.6.
Seppe
Regelmatige bezoeker van Joomla!NL
Regelmatige bezoeker van Joomla!NL
Berichten: 359
Lees meer
26 juli 2020 17:14
Heeft onderwerp gestart
Error na updaten php-versie, van 5.6 naar 7.3 #5
Ja dat dacht ik ook. Maar in CPanel kan ik alleen van 5.6 naar 7.3.

Ik help werkzoekenden en ZZP'ers, om een baan of opdracht te vinden èn te krijgen.

www.judithschoorlemmer.nl
www.sollicitatiehulp.org
Judith
Bekend met Joomla!NL
Bekend met Joomla!NL
Berichten: 117
Lees meer
26 juli 2020 20:49
Error na updaten php-versie, van 5.6 naar 7.3 #6
Heb je al een reactie van PCextreme?

Met vriendelijke groet,
Wouter Compactweb.nl
Voordat je een vraag post, gebruik eerst de zoekfunctie van ons forum.
Ik beantwoord geen vragen via PM
WoodyF4u
Moderator + Nieuwsteam
Moderator + Nieuwsteam
Berichten: 10671
Lees meer
27 juli 2020 10:28
Heeft onderwerp gestart
Error na updaten php-versie, van 5.6 naar 7.3 #7
Niet van PCextreme, wel van Spango! Dat is namelijk mijn host. :-)

Ik denk dat ik het zelf niet goed had gedaan. Ik had gekozen, in CPanel, voor 'Select PHP version'. Mijn host gaf aan dat ik gebruik moest maken van 'Multi-PHP beheer'. dat heb ik gedaan en nu staat het op 7.2. Ik heb 7.3 geprobeerd, maar dan krijg ik in het frontend de melding:

Fatal error: Allowed memory size of 33554432 bytes exhausted (tried to allocate 4096 bytes) in /home/judith/public_html/plugins/system/helix3/core/helix3.php on line 942


Iets met een temp directory misschien? Backend laadt wel gewoon.

Ik help werkzoekenden en ZZP'ers, om een baan of opdracht te vinden èn te krijgen.

www.judithschoorlemmer.nl
www.sollicitatiehulp.org
Judith
Bekend met Joomla!NL
Bekend met Joomla!NL
Berichten: 117
Lees meer
27 juli 2020 10:45 27 juli 2020 10:52 door Astrid.
Error na updaten php-versie, van 5.6 naar 7.3 #8
Zou te maken kunnen hebben met de memory_limit instelling bij je hoster (dat die te laag staat). Weet niet of je dat zelf aan kunt passen.

Edit Astrid: Hieropvolgende reactie van Leen2012 verwijderd. Dit antwoord was niet van toepassing op de gestelde vraag.

Groetjes, Astrid
Gebruik de zoekfunctie van dit forum voordat je een nieuwe vraag plaatst.
Vragen uitsluitend via dit Forum.
yndi.nl - kvk 17157725
Is je vraag beantwoord? Dan kan je het draadje zelf sluiten .
Wil je Joomla!NL steunen? Dat kan met een donatie.

Deze afbeelding is verborgen voor gasten.
Login of registreer om deze te zien.

Astrid
Moderator + Technisch team
Moderator + Technisch team
Berichten: 35743
Lees meer
27 juli 2020 11:25
Heeft onderwerp gestart
Error na updaten php-versie, van 5.6 naar 7.3 #9
Ja, ik kan dat inderdaad zelf aanpassen. Heb ik gedaan en nu draait hij op 7.3, als een zonnetje! Dank jullie wel voor de hulp!

Ik help werkzoekenden en ZZP'ers, om een baan of opdracht te vinden èn te krijgen.

www.judithschoorlemmer.nl
www.sollicitatiehulp.org
Judith
Bekend met Joomla!NL
Bekend met Joomla!NL
Berichten: 117
Lees meer
27 juli 2020 11:36
Error na updaten php-versie, van 5.6 naar 7.3 #10
Fijn dat het opgelost is.
Dank je wel voor de terugkoppeling.

Groetjes, Astrid
Gebruik de zoekfunctie van dit forum voordat je een nieuwe vraag plaatst.
Vragen uitsluitend via dit Forum.
yndi.nl - kvk 17157725
Is je vraag beantwoord? Dan kan je het draadje zelf sluiten .
Wil je Joomla!NL steunen? Dat kan met een donatie.

Deze afbeelding is verborgen voor gasten.
Login of registreer om deze te zien.

Astrid
Moderator + Technisch team
Moderator + Technisch team
Berichten: 35743
Lees meer
Moderators: PeterJuliank92JelleRomke
Tijd voor maken pagina: 0.099 seconden

Wil je Joomla!NL steunen?

Steun Joomla!NLAlle teamleden werken enthousiast, op vrijwillige basis, mee aan Joomla!NL. Maar een website met forum kost nu eenmaal geld. Dus als je Joomla!NL wilt steunen, dan kan dat, graag zelfs!

Lees hier meer informatie

Joomla!NL op Twitter

Op dinsdag 27 september 2022 is Joomla! 4.2.3 vrijgegeven. Het betreft een versie die nieuwe verbeteringen bevat en… https://t.co/T7oGdV8LSs

Joomla! 4.2.1 is vrijgegeven. Deze versie pakt een beveiligingsprobleem aan, repareert verschillende bugs en bevat… https://t.co/JHmNyhWEGq

De naam Joomla!® en logo worden gebruikt onder een beperkte licentie met toestemming van Open Source Matters.
Joomlanl.nl is niet verbonden aan en is geen onderdeel van Open Source Matters, Inc, of het Joomla! project.

© 2022 - Joomla!NL | Gehost door Wned